
Lookup Editor - Feature #1031

New front-end using SimpleXML

08/11/2015 08:42 PM - Luke Murphey

Status: Closed Start date: 09/04/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

Subtasks:

Task # 1038: Create basic lookup lister Closed

Task # 1039: Setup filters in lister Closed

Task # 1040: Create lookup editor with CSV support Closed

  Task # 1043: Load lookup from parameters Closed

  Task # 1044: Save lookup Closed

  Task # 1045: Check for permissions Closed

  Task # 1046: Show dialog for lookup that could not be loaded Closed

Task # 1041: Wire up backups loading to editor Closed

Task # 1042: Wire-up importing to lookup editor Closed

Bug # 1047: Fix row colors on lister Closed

Bug # 1048: Fix dropdown color on lister create button Closed

Feature # 1049: Improve loading to not show an empty lookup Closed

Feature # 1050: Add ability to create new lookup Closed

Bug # 1051: Hide edit and print controls Closed

Bug # 1052: Add input validation Closed

Bug # 1053: Don't show the history selector if none exist Closed

Task # 1054: Show info on existing lookup when editing Closed

Task # 1055: Re-render the view when a lookup is created Closed

Task # 1056: Update the backups list after saving Closed

Bug # 1057: Lookup doesn't appear when the view is not active sometimes Rejected

Bug # 1058: Improve rendering of the success and error messages Closed

Task # 1059: Reset URL when a lookup is saved Closed

Task # 1065: Improve drag and drop UI Closed

Task # 1067: Add messages for successful loading of backup files and imports Closed

History

#1 - 09/04/2015 06:23 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 09/06/2015 05:44 AM - Luke Murphey

Need to make sure that jquery references point to this.$el.

#3 - 09/13/2015 05:55 AM - Luke Murphey

Need to remove cruft like this: $("#tableEditor")

#4 - 10/31/2015 06:34 AM - Luke Murphey

- Status changed from In Progress to Closed
